<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.audio.mapper.NoiseInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.audio.domain.NoiseInfo">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="encode" column="encode" jdbcType="VARCHAR"/>
            <result property="power" column="power" jdbcType="DOUBLE"/>
            <result property="gain" column="gain" jdbcType="DOUBLE"/>
            <result property="rms" column="rms" jdbcType="INTEGER"/>
            <result property="centerFrequency" column="center_frequency" jdbcType="DOUBLE"/>
            <result property="filepath" column="filepath" jdbcType="VARCHAR"/>
            <result property="ts" column="ts" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,encode,power,
        gain,rms,center_frequency,
        filepath,ts,create_time,
        update_time
    </sql>
</mapper>
